Skip to main content
POST
Create impulse

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

impulseId
integer

Impulse ID. If this is unset then the default impulse is used.

Body

application/json
inputBlocks
object[]
required

Input Blocks that are part of this impulse

dspBlocks
object[]
required

DSP Blocks that are part of this impulse

learnBlocks
object[]
required

Learning Blocks that are part of this impulse

name
string

Name for this impulse (optional). If no name is provided one is created based on your blocks.

postProcessingBlocks
object[]

Post-processing blocks that are part of this impulse

type
enum<string>

Specifies the type of impulse. Options include: - default: Standard Edge Impulse pipeline. - BYOM: Impulse that includes a pretrained model. - VLM: Impulse created as part of a Vision Learning Model (VLM) workflow.

Available options:
default,
BYOM,
VLM
datasetVersionId
integer

EXPERIMENTAL. Lock an impulse to an immutable snapshot of a dataset. Feature generation, model training, and deployment from this impulse will always use that snapshot, ensuring reproducible results. If omitted, your current mutable dataset is used instead which doesn't provide the same reproducibility guarantees. This property is experimental, is only supported when the dataset versioning experiment is enabled, and may change in the future.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

ID of the new impulse

error
string

Optional error description (set if 'success' was false)